const int PinLEDR = 11;
String msg="";

void setup() {
  Serial.begin(9600);
  pinMode (PinLEDR, OUTPUT);
  Serial.println ("Pour allumer la DEL rouge, envoyer: ON");
  Serial.println ("Pour eteindre la DEL rouge, envoyer: OFF");
  Serial.setTimeout(100);
}

void loop() {
  if (Serial.available() > 0) {
    msg = Serial.readString();
    }
  if (msg == "ON") {
    Serial.println (msg);
    digitalWrite(PinLEDR,1);
    }
  if (msg == "OFF") {
    Serial.println (msg);
    digitalWrite(PinLEDR,0);
    }
  Serial.flush();
  msg="";
}
